<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
<meta charset="UTF-8" />
<title>Vérification des droits testeurAuto coucou</title>
</head>
<body style="p:before .success, li:before .success {
	background-image:
		url(http://images4.wikia.nocookie.net/__cb20101013160837/sims/fr/images/d/dd/Ic%C3%B4ne_Valid.png);
	content:'>'
}">
	<h3> on teste les droits sur les données de référence pour l'utilisateur <span concordion:set="#utilisateur">testeurAuto</span></h3>
	<table concordion:execute="#hasPrivilege=hasPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #date)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#date">Date</th>
			<th concordion:assertEquals="#hasPrivilege">A les droits</th>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:__pente_*</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_type_climat_*</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_activite_industrielle_*</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_substrat_pedologique_*</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_teneur_calcaire_initiale_*</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_texture_du_sol_*</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_type_pedologique_*</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_type_sol_arvalis_*</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_heterogeinite_*</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_environnement_*</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_nom_regional_sol_*</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>dispositif_pays</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_:_fait_remarquable_*</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>dispositif_region</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>dispositif_pays</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>dispositif_region</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>dispositif_departement</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>dispositif_commune</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_nom_regional_sol</td>
			<td></td>
			<td>true</td>
		</tr>
		  <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>origine</td>
			<td></td>
			<td>true</td>
		</tr>
		  <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>grand_type_de_produits</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>precision_pro</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>precision_filiere</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>filiere</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_nomenclature</td>
			<td></td>
			<td>true</td>
		</tr>
		 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>nomenclatures</td>
			<td></td>
			<td>true</td>
		</tr>
		 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>pro_:_statuts_des_produits_*</td>
			<td></td>
			<td>true</td>
		</tr>
		 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>pro_:_annees_*</td>
			<td></td>
			<td>true</td>
		</tr>
		 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>pro_:_formes_physiques_*</td>
			<td></td>
			<td>true</td>
		</tr>
		
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>personne_ressource</td>
			<td></td>
			<td>true</td>
		</tr>
		 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>matieres_premieres</td>
			<td></td>
			<td>true</td>
		</tr>
		   <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>types_caracteristiques_matiere_premiere</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>valeur_des_caracteristiques_matieres_premieres</td>
			<td></td>
			<td>true</td>
		</tr> 
		
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>procedes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>etapes</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>methodes_des_etapes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>methodes_des_procedes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>caracteristiques_des_procedes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>methodes_procedes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>caracteristiques_des_etapes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>les_caracteristiques_matiere_premiere</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>unites</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_de_structure</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>structure</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>personne_ressource</td>
			<td></td>
			<td>true</td>
		</tr> 
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>produit_referencement</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>produit_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>produit_procede_applique</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>produit_methodes_par_procede</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>produit_caracteristiques_des_procedes</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>composition</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>caracteristiques_des_matieres_premieres</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>caracteristiques_matieres_premieres_des_valeurs</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>liste_composant</td>
			<td></td>
			<td>true</td>
		</tr>
		<!-- <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>produit_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>-->
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>produit_role_structures</td>
			<td></td>
			<td>true</td>
		</tr> 
		<!--  La partie de sophie  -->
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>pays_region_departement_commune</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>systeme_de_projection</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>programme</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_de_document</td>
			<td></td>
			<td>true</td>
		</tr>
		
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>role_de_la_structure</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_de_partenaire</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>role_de_la_personne_ressource</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_de_culture</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>systeme_de_conduite_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>thematique_etudiee</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>liste_de_raisonnement</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>valeur_de_raisonnement</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>observatoire</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_de_lieu</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_de_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>echelle_de_prelevement</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>code_du_bloc</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>code_parcelle_elementaire</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>statut_de_la_placette</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>station_experimentale</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_de_traitement</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>type_de_facteur</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>facteur</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>modalite_du_facteur</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>protocole_general</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>raisonnements_par_protocole</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>lieu</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>protocoles_des_dispositifs</td>
			<td></td>
			<td>true</td>
		</tr>
		 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>dispositifs_des_observatoires</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>bloc</td>
			<td></td>
			<td>true</td>
		</tr> 
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>parcelle_elementaire</td>
			<td></td>
			<td>true</td>
		</tr> 
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>placette</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>description_du_traitement</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>structures_des_stations_experimentales</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>structures_des_observatoires</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>structures_des_lieux</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>refdata</td>
			<td>role_des_personnes_ressources_par_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>objectif_des_thematiques_etudiees_par_protocoles</td>
			<td></td>
			<td>true</td>
		</tr>
                
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>traitements_avec_modalites_de_facteurs_etudies</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>pedologie</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contexte_climatique_du_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>horizon_travail_du_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
                
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>heterogeneite_du_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>historique_du_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>environnement_du_dispositif</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>amenagement_avant_plantation</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>cepage_ou_variete</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>porte_greffe</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>contextes_cultures</td>
			<td></td>
			<td>true</td>
		</tr>
              <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>categorie_variable</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>qualifiant</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>variable</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>variable_qualifiant</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>datatype</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>unite</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>datatypevariablequalifiant</td>
			<td></td>
			<td>true</td>
		</tr>
                 <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>reference_bibliographique</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>matiere_premiere_:types_caracteristiques__*</td>
			<td></td>
			<td>true</td>
		</tr>
                <tr>
			<td>edition</td>
			<td>refdata</td>
			<td>matieres_premieres_:_valeur_des_caracteristiques__*</td>
			<td></td>
			<td>true</td>
		</tr>
                
	</table><h3> on teste les droits sur les données expérimentales pour l'utilisateur <span concordion:set="#utilisateur">testeurAuto</span></h3>
	 <table concordion:execute="#hasPrivilege=hasPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #date)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#date">Date</th>
			<th concordion:assertEquals="#hasPrivilege">A les droits</th>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
                        <td>QA/physico-chimie/sols_physico-chimie_donnees_elementaires</td>
			<td>10/09/2002</td>
			<td>true</td>
		</tr>
		<tr>
			<td>edition</td>
			<td>dataset</td>
			<td>QA/physico-chimie/sols_physico-chimie_donnees_elementaires</td>
			<td>10/09/2002</td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>QA/physico-chimie/sols_physico-chimie_donnees_elementaires</td>
			<td>10/09/2002</td>
			<td>true</td>
		</tr>
		<tr>
			<td>suppression</td>
			<td>dataset</td>
			<td>QA/physico-chimie/sols_physico-chimie_donnees_elementaires</td>
			<td>10/09/2002</td>
			<td>true</td>
		</tr>
         </table>
        <!--
	</table><h3> on teste les droits sur la gestion des fichiers complémentaires pour l'utilisateur <span concordion:set="#utilisateur">testeurAuto</span></h3>
	<table concordion:execute="#hasPrivilege=hasPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #date)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#date">Date</th>
			<th concordion:assertEquals="#hasPrivilege">A les droits</th>
		</tr>
		<tr>
			<td>depot</td>
			<td>file</td>
			<td>rotation_prairie_culture/lusignan/meteorologie/meteorologie</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>telechargement</td>
			<td>file</td>
			<td>rotation_prairie_culture/lusignan/meteorologie/meteorologie</td>
			<td>01/01/1984</td>
			<td>true</td>
		</tr>
	</table> -->

</body>
</html>